<template>
  <div>
          <!-- div id="preloader">
            <div id="status"></div>
          </div -->       
    <nav class="navbar is-fresh is-transparent no-shadow" role="navigation" aria-label="main navigation">
        <div class="container">
            <div class="navbar-brand">
                <nuxt-link class="navbar-item" to="/">
                    <img src="~assets/images/logos/chat.svg" alt="" height="28"> <span> Stella's App</span>
                </nuxt-link>
    
                <a class="navbar-item">
                    <div id="menu-icon-wrapper" class="menu-icon-wrapper" style="visibility: visible;">
                        <svg width="1000px" height="1000px">
                            <path class="path1" d="M 300 400 L 700 400 C 900 400 900 750 600 850 A 400 400 0 0 1 200 200 L 800 800"></path>
                            <path class="path2" d="M 300 500 L 700 500"></path>
                            <path class="path3" d="M 700 600 L 300 600 C 100 600 100 200 400 150 A 400 380 0 1 1 200 800 L 800 200"></path>
                        </svg>
                        <button id="menu-icon-trigger" class="menu-icon-trigger"></button>
                    </div>
                </a>
            </div>
        </div>
    </nav>    
    <nav id="navbar-clone" class="navbar is-fresh is-transparent" role="navigation" aria-label="main navigation">
        <div class="container">
            <div class="navbar-brand">
                <nuxt-link class="navbar-item" to="/">
                    <img src="~assets/images/logos/chat.svg" alt="" height="28"> <span> Stella's App</span>
                </nuxt-link>
    
                <a class="navbar-item">
                    <div id="menu-icon-wrapper" class="menu-icon-wrapper" style="visibility: visible;">
                        <svg width="1000px" height="1000px">
                            <path class="path1" d="M 300 400 L 700 400 C 900 400 900 750 600 850 A 400 400 0 0 1 200 200 L 800 800"></path>
                            <path class="path2" d="M 300 500 L 700 500"></path>
                            <path class="path3" d="M 700 600 L 300 600 C 100 600 100 200 400 150 A 400 380 0 1 1 200 800 L 800 200"></path>
                        </svg>
                        <button id="menu-icon-trigger" class="menu-icon-trigger"></button>
                    </div>
                </a>

            </div>
    
        </div>
    </nav>
            
    <nuxt/>


    <!-- Back To Top Button -->
    <div id="backtotop"><a href="#"></a></div>        
    
    <div class="sidebar">
        <div class="sidebar-header">
            <img src="~assets/images/logos/chat (1).svg">
            <h2 style="color: white"> Stella's app </h2>
            <a class="sidebar-close" href="javascript:void(0);"><i data-feather="x"></i></a>
        </div>
        <div class="inner">
            <ul class="sidebar-menu">
                <li><span class="nav-section-title"></span></li>
                
                <li><nuxt-link to="/topics"><i class="fa fa-th"></i> Explore</nuxt-link></li>
                <li><span class="nav-section-title"></span></li>
                <li class="have-children"><a href="#"><span class="fa fa-user"></span>User</a>
                    <ul>
                        <li><nuxt-link to="/profile">Profile</nuxt-link></li>
                        <li><a @click="logout">Log out</a></li>
                    </ul>
                </li>
                <li class="have-children"><a href="#"><span class="fa fa-envelope"></span>Chats</a>
                    <ul>
                        <li><nuxt-link to="/chats">Inbox</nuxt-link></li>
                        <li><a href="#">Expired Chats</a></li>
                    </ul>
                </li>
                <!-- li class="have-children"><a href="#"><span class="fa fa-cog"></span>Settings</a>
                    <ul>
                        <li><a href="#">User settings</a></li>
                        <li><a href="#">App settings</a></li>
                    </ul>
                </li -->
            </ul>
        </div>
    </div>       

  </div>
</template>

<script>
import { auth } from '@/plugins/firebase.js';

export default {
  head () {
    return {
      script: [
        { src: '/js/app.js' },
        { src: 'https://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.min.js' },
      ],
      link: [
        //{ rel: 'stylesheet', href: 'https://fonts.googleapis.com/css?family=Roboto' }
      ]
    }
  },
  methods: {
      logout: function () {
          self = this
          auth.signOut()
          .then(function() {
            // Sign-out successful.
            self.$store.dispatch('signout')
            self.$router.push('/')
            console.log('logout')
          })
          .catch(function(error) {
            // An error happened.
            console.log(error)
          });
          
      }
  },
  mounted: function () {  
        //Preloader
        $(window).on('load', function() { // makes sure the whole site is loaded 
            $('#status').fadeOut(); // will first fade out the loading animation 
            $('#preloader').delay(350).fadeOut('slow'); // will fade out the white DIV that covers the website. 
            $('body').delay(350).css({'overflow':'visible'});
        })

        //Mobile menu toggle
        if ($('.navbar-burger').length) {
            $('.navbar-burger').on("click", function(){

                var menu_id = $(this).attr('data-target');
                $(this).toggleClass('is-active');
                $("#"+menu_id).toggleClass('is-active');
                $('.navbar.is-light').toggleClass('is-dark-mobile')
            });
        }

        //Animate left hamburger icon and open sidebar
        $('.menu-icon-trigger').click(function(e){
            e.preventDefault();
            $('.menu-icon-wrapper').toggleClass('open');
            $('.sidebar').toggleClass('is-active');
        });

        //Close sidebar
        $('.sidebar-close').click(function() {
            $('.sidebar').removeClass('is-active');
            $('.menu-icon-wrapper').removeClass('open');
        })

        //Sidebar menu
        if ($('.sidebar').length) {
            $(".sidebar-menu > li.have-children a").on("click", function(i){
                i.preventDefault();
                if( ! $(this).parent().hasClass("active") ){
                    $(".sidebar-menu li ul").slideUp();
                    $(this).next().slideToggle();
                    $(".sidebar-menu li").removeClass("active");
                    $(this).parent().addClass("active");
                }
                else{
                    $(this).next().slideToggle();
                    $(".sidebar-menu li").removeClass("active");
                }
            });
        }

        //Navbar Clone
        if ($('#navbar-clone').length) {
            $(window).scroll(function() {    // this will work when your window scrolled.
                var height = $(window).scrollTop();  //getting the scrolling height of window
                if(height  > 50) {
                    $("#navbar-clone").addClass('is-active');
                } else{
                    $("#navbar-clone").removeClass('is-active');
                }
            });
        }

        //Init feather icons
        feather.replace();

        //reveal elements on scroll so animations trigger the right way
        var $window           = $(window),
            win_height_padded = $window.height() * 1.1,
            isTouch           = Modernizr.touch;

        $window.on('scroll', revealOnScroll);

        function revealOnScroll() {
            var scrolled = $window.scrollTop();
            $(".revealOnScroll:not(.animated)").each(function () {
                var $this     = $(this),
                    offsetTop = $this.offset().top;

                if (scrolled + win_height_padded > offsetTop) {
                    if ($this.data('timeout')) {
                        window.setTimeout(function(){
                            $this.addClass('animated ' + $this.data('animation'));
                        }, parseInt($this.data('timeout'),10));
                    } else {
                        $this.addClass('animated ' + $this.data('animation'));
                    }
                }
            });
        }

        // Back to Top button behaviour
        var pxShow = 600;
        var scrollSpeed = 500;
        $(window).scroll(function() {
            if ($(window).scrollTop() >= pxShow) {
                $("#backtotop").addClass('visible');
            } else {
                $("#backtotop").removeClass('visible');
            }
        });
        $('#backtotop a').on('click', function() {
            $('html, body').animate({
                scrollTop: 0
            }, scrollSpeed);
            return false;
        });

        // Select all links with hashes
        $('a[href*="#"]')
        // Remove links that don't actually link to anything
            .not('[href="#"]')
            .not('[href="#0"]')
            .click(function(event) {
            // On-page links
            if (
                location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') 
                && 
                location.hostname == this.hostname
            ) {
                // Figure out element to scroll to
                var target = $(this.hash);
                target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
                // Does a scroll target exist?
                if (target.length) {
                    // Only prevent default if animation is actually gonna happen
                    event.preventDefault();
                    $('html, body').animate({
                        scrollTop: target.offset().top
                    }, 550, function() {
                        // Callback after animation
                        // Must change focus!
                        var $target = $(target);
                        $target.focus();
                        if ($target.is(":focus")) { // Checking if the target was focused
                            return false;
                        } else {
                            $target.attr('tabindex','-1'); // Adding tabindex for elements not focusable
                            $target.focus(); // Set focus again
                        };
                    });
                }
            }
        });

  }
}
</script>
